Merge backuppc 3.2.1-1 (main) from Debian unstable (main)

Bug #852484 reported by Dave Walker on 2011-09-17
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
backuppc (Ubuntu)
Wishlist
Unassigned

Bug Description

Please merge backuppc 3.2.1-1 (main) from Debian unstable (main)

New upstream release is bug fix only (including a security fix), therefore doesn't need a FFe.

== Upstream changelog for new release ==:
#------------------------------------------------------------------------
# Version 3.2.1, 24 Apr 2011
#------------------------------------------------------------------------

* Ensure $num is numeric in lib/BackupPC/CGI/Browse.pm to avoid XSS
  attack. Report and patch by Adam E.

* Fixed application of "*" in $Conf{BackupFilesOnly} and
  $Conf{BackupFilesExclud} for 2nd and later shares. Reported
  by Alessandro and Alexander Maringer.

* Fixed email status check in lib/BackupPC/CGI/HostInfo.pl so that
  empty email info doesn't appear; reported by Wayne Trevena,
  and based on patch from Tyler Wagner.

* Several fixes to FTP xfer mode related to file excludes, from
  Dave Pearce.

* Wrapped eval() around unpack() in lib/BackupPC/Attrib.pm to avoid
  failures on corrupted attrib files; patch from Tim Connors.

* Applied documention patch from Alexander Moisseev.

== Changelog entries since current oneiric version 3.2.0-4ubuntu1 ==:

backuppc (3.2.1-1) unstable; urgency=high

  * New upstream release. Closes: #641450
  * urgency set to high because of a security fix

 -- Ludovic Drolez <email address hidden> Tue, 13 Sep 2011 20:38:00 +0200

backuppc (3.2.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use inetutils-ping as an alternative to iputils-ping. Closes: #630777

 -- Bernd Zeimetz <email address hidden> Tue, 28 Jun 2011 22:31:10 +0200

Related branches

Dave Walker (davewalker) on 2011-09-17
Changed in backuppc (Ubuntu):
importance: Undecided → Wishlist
status: New → Confirmed
tags: added: server-o-rs
Allison Randal (allison) wrote :

I've pushed a merged branch of backuppc 3.2.1-1ubuntu1 to lp:~allison/ubuntu/oneiric/backuppc/bug-852484. This is only a merge of the new upstream release containing security fixes, and does not fix any other bugs. (I'm working on those in different branches.)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package backuppc - 3.2.1-1ubuntu1

---------------
backuppc (3.2.1-1ubuntu1) oneiric; urgency=high

  * Merge from debian unstable. (LP: #852484) Remaining changes:
    - debian/backup.init, debian/rules, debian/postinst: Do not call init
      script on shutdown and reboot (TearDown) (Debian #488660)
    - debian/control: Add dependency for libsocket6-perl.
    - debian/control: Drop build dependency to 'par2', it's in universe.
    - configure.pl: Do not test for par2 being available at build time
    - debian/control: depend on default-mta | mail-transport-agent, instead of
      enumerating a long list of alternative MTAs.
    - debian/rules: installing setuid wrapper with setuid bit set, and no
      permissions granted to other (mode 4750)

backuppc (3.2.1-1) unstable; urgency=high

  * New upstream release. Closes: #641450
  * urgency set to high because of a security fix

backuppc (3.2.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use inetutils-ping as an alternative to iputils-ping. Closes: #630777
 -- Allison Randal <email address hidden> Sun, 18 Sep 2011 17:37:55 -0700

Changed in backuppc (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers